{% extends 'index.html' %}

{% block meta %}
<style>
	.cover {
	  object-fit: cover;
	}
</style>
{% endblock %}

{% block content %}
<div class="blog-box">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<a href="{% url 'search:idx' %}">
						<h2>Our Recipes!</h2>
					</a>
					<br>
					<form method="POST">
						{% csrf_token %}
						{{ searchform }}
					</form>
				</div>
				{% if most_searched_keyword %}
				<div class="heading-title text-center">
					<p style="font-size: 14">Most Searched Recipe: 
						<a href="{{ most_searched_keyword.id }}">{{ most_searched_keyword.string }}</a>
					</p>
				</div>
				{% endif %}
			</div>
		</div>
		{% if allresep %}
		<div class="row">
			{% for resep in allresep %}
			<div class="col-lg-4 col-md-6 col-12" style="margin-bottom:50px; text-align: center; border-color: #cfa671">
				<div class="border border-light">
					<div class="blog-img-box">
						{% if resep.foto %}
							<img class = "cover"src="{{ resep.foto.url }}" width= "300px"
							height= "200px" style="margin:10px;">
						{% endif %}
					</div>
					<div class="blog-detail">
						<h4>{{ resep.nama }}</h4>
						<ul>
							<p>{{ resep.deskripsi }}</p>
							<p>{{ resep.porsi }}</p>
							<p>{{ resep.durasi }}</p>
						</ul>
						<a class="btn btn-lg btn-circle btn-outline-new-white" href="{% url 'add:detail' resep.id%}" style="margin:20px">Read More</a>
					</div>
				</div>
			</div>
			{% endfor %}
		{% else %}
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<h2>We haven't add any Recipes yet :(</h2>
				</div>
			</div>
		{% endif %}
		</div>
		
			
			
	</div>
</div>



<div><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br></div>
{% endblock %}